<?php
$root_path="../";
$title="Update profile";
require_once($root_path."inc/begin_code.php");
require_once($root_path."inc/db.inc.php");
require_once($root_path."inc/form_pro.inc.php");
include_once($root_path."html/admin/header.html");
restrictAccess(3);
$config=&new config;
if ($config->is_set("get_paypal_id")) {
define("IS_PAYPAL_ALLOWED",1);
} else {
define("IS_PAYPAL_ALLOWED",0);
}

if ($config->is_set("get_stormpay_id")) {
define("IS_STORMPAY_ALLOWED",1);
} else {
define("IS_STORMPAY_ALLOWED",0);
}

if (is_numeric($_GET['userId']))
{
	define ('USERID',$_GET['userId']);
}
 elseif (is_numeric($_POST['userId']))
{
	define ('USERID',$_POST['userId']);
}
 else {
	header("location: memberlist.php");
	die;
}

if (isset($_POST['cancelled']))
{
	header("location:{$_POST[back]}list.php");
} 
elseif (! isset($_POST['submitted'])) 
{
bye(0);
}

checkBlank();
checkInvalid();
doesEmailExist();
update();
bye(1);



function checkBlank() 
{
	
	$vars=array("fname","lname","email");
	$msgs=array("You forgot to type the first name.","You didn't type the last name.","Please type an email address.");
	$errs=form_pro::check_blank($_POST,$vars,$msgs);

		if (is_array($errs)) 
		{
		correctInput($errs);
	}
	
	return true;
}




function checkInvalid() 
{
	
	$vars=array($_POST['fname'],$_POST['lname'],$_POST['email']);
	$patterns=array("^[a-zA-Z0-9]+$","^[a-zA-Z0-9]+$","^([0-9a-zA-Z]+[-._+&])*[0-9a-zA-Z]+@([-0-9a-zA-Z]+[.])+[a-zA-Z]{2,6}$");
	$msgs=array("Please type a valid first name.","You didn't type a valid last name.","You typed an invalid email address.");
	
	if ($_POST['pass1'] !="") {
	$vars[]=$_POST['pass1'];
	$patterns[]="^[a-zA-Z0-9]+$";
	$msgs[]="The password you provided contains invalid characters.";
}

if (IS_PAYPAL_ALLOWED==1 && $_POST['paypal']!="") 
{
	$vars[]=$_POST['paypal'];
	$patterns[]="^([0-9a-zA-Z]+[-._+&])*[0-9a-zA-Z]+@([-0-9a-zA-Z]+[.])+[a-zA-Z]{2,6}$";
	$msgs[]="The PayPal email address you typed contains invalid characters.";
}


if (IS_STORMPAY_ALLOWED==1 && $_POST['paypal']!="") 
{
	$vars[]=$_POST['stormpay'];
	$patterns[]="^([0-9a-zA-Z]+[-._+&])*[0-9a-zA-Z]+@([-0-9a-zA-Z]+[.])+[a-zA-Z]{2,6}$";
	$msgs[]="The StormPay email address you typed contains invalid characters.";
}
	
	$errs=form_pro::check_invalid($vars,$patterns,$msgs);
	if (is_array($errs)) 
	{
		correctInput($errs);
	}
	return true;
}



function showForm() 
{
	global $root_path;
	if (isset($_POST['submitted']))
	{
		foreach ($_POST as $k=>$v) 
		{
			$$k=$v;
		}
		$pass=$pass1;
		include_once($root_path."html/admin/editProfile.html");
		return true;
		} 
	$db=&new db;

	$email=User::getInfo(USERID,'email');
	
	$sql="SELECT fname FROM #_users WHERE email='$email'";
	$result=$db->get_row("fname","users",$sql);
	$fname=$result[0];
	unset($result);
	
	$sql="SELECT lname FROM #_users WHERE email='$email'";
	$result=$db->get_row("lname","users",$sql);
	$lname=$result[0];
	unset($result);
	
	if (IS_PAYPAL_ALLOWED==1)
	{
	$sql="SELECT paypal_id FROM #_users WHERE email='$email'";
	$result=$db->get_row("paypal_id","users",$sql);
	$paypal=$result[0];
	unset($result);
	}
	else 
	{
	$paypal="";
	}

	if (IS_STORMPAY_ALLOWED==1)
	{
	$sql="SELECT stormpay_id FROM #_users WHERE email='$email'";
	$result=$db->get_row("stormpay_id","users",$sql);
	$stormpay=$result[0];
	unset($result);
	}
	else 
	{
	$stormpay="";
	}
	include_once($root_path."html/admin/editProfile.html");
	return true;
}


function doesEmailExist()
{
//this function simply checks if the email provided is already being used by someone in the database or not:

$db=&new db;
$email=mysql_escape_string($_POST['email']);
$realEmail=User::getInfo(USERID,'email');
if ($email==$realEmail) 
{
	return true;
}

$sql="SELECT level FROM #_users WHERE email='$email' AND user_id !='".USERID."'";
if ($db->get_row_num("users",$sql) > 0)
{ 
	$err=array("The email address <b>$email</b> is already in use. Please type a different email address.");
	correctInput($err);
	return false;
}
return true;
}

function update()
{
foreach ($_POST as $k=>$v)
{
	$$k=mysql_escape_string($v);
}

$db=&new db;
$auth=&new auth;



if ($_POST['pass1'] !="")
{
	$pass=md5($_POST['pass1']);
} else {
	$pass=false;
}
/*
$sql="SELECT user_id FROM #_users WHERE email='$_SESSION[uid_]'";
if ($pass) 
	$sql.= "AND pass='$pass'";

$result=$db->get_row("user_id","users",$sql);
$userId=$result[0];
unset($result);
*/


$sql="UPDATE #_users SET fname='$fname',lname='$lname',email='$email'";
if (IS_PAYPAL_ALLOWED==1)
{
	$sql.=",paypal_id='$paypal'";
}
if (IS_STORMPAY_ALLOWED==1)
{
	$sql.=",stormpay_id='$stormpay'";
}
if ($pass)
	$sql.=",pass='$pass'";

$sql.=" WHERE user_id='".USERID."'";

$db->change_db("users",$sql);
$auth->log_in($email,$pass);
return true;
}

	
	

function correctInput($errs) 
{
$heading="Uh oh..,";


echo "<h3><font color=red>$heading\n</font></h3><ul>\n";

foreach ($errs as $k=>$v) 
{
echo "<li><font color=red>$v</font></li>\n";
}

echo "</ul>\n<hr>\n";
bye(0);
}



function bye($id) 
{
	global $root_path;
	if ($id==0) {
	showForm();
} else {
	include_once($root_path."html/members/profile_success.html");
	}
	require_once($root_path."inc/end_code.php");
	die();
}
checkBlank();
checkInvalid();


?>