# phpMyAdmin SQL Dump
# version 2.5.7-pl1
# http://www.phpmyadmin.net
#
# Host: localhost
# Generation Time: Jul 01, 2005 at 08:52 AM
# Server version: 3.23.56
# PHP Version: 4.3.0
# 
# Database : `jv`
# 

# --------------------------------------------------------

#
# Table structure for table `jvfire_autoemails`
#

CREATE TABLE `jvfire_autoemails` (`autoEmail_id` mediumint(10) NOT NULL auto_increment,`subject` varchar(75) NOT NULL default '',`msg` text NOT NULL,`when_date` date NOT NULL default '0000-00-00',`when_time` time NOT NULL default '00:00:00',`sent` enum('0','1') NOT NULL default '0',PRIMARY KEY  (`autoEmail_id`)) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `jvfire_autoemails`
#


# --------------------------------------------------------

#
# Table structure for table `jvfire_config`
#

CREATE TABLE `jvfire_config` (`config_id` tinyint(10) unsigned NOT NULL auto_increment,`c_name` varchar(50) NOT NULL default '',`c_value` text NOT NULL,`c_display` text NOT NULL,PRIMARY KEY  (`config_id`)) TYPE=MyISAM AUTO_INCREMENT=52 ;

#
# Dumping data for table `jvfire_config`
#

INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (1, 'get_paypal_id', '1', 'Ask for a paypal email address (type 1 for Yes, 0 for no)');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (2, 'get_stormpay_id', '1', 'Ask for a StormPay email address:(type 1 for Yes, 0 for no)');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (3, 'activation_mail_subject', 'Congratulations! Your account was created!', 'Subject of the activation email:');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (4, 'activation_mail_msg', 'Hey [first name]! Welcome to our website.\r\n\r\nYou are only one step away from accessing our exclusive members\' area. To access it, just click at the link below to have your account activated:\r\n\r\n[link]\r\n\r\nHere are your login details:\r\nUsername: [email]\r\nPassword: [password]\r\nPlease keep this email at a safe place. We look forward to having you a part of our community!\r\n\r\nSincerely,\r\nThe Admin.', 'The message sent in the confirmation email:');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (5, 'forgotpass_mail_subject', 'Your password recovery request', 'Subject of the forgot password email');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (6, 'forgotpass_mail_msg', 'Dear [first name],\r\n\r\nYou recently requested your password to be emailed to you at http://www.jvfiresaleautomator.com. We have reset your password to a new password. Your new login details are:\r\n\r\nUsername: [email]\r\nPassword: [password]\r\n\r\nPlease log in to the members area using the new details. After you log in, you can change the password back to anything else you\'d like.\r\n\r\nThe members area:\r\n[link to members area]\r\n\r\nBest regards,\r\nthe Support team.', 'Message sent in the forgotten password email');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (7, 'allow_gift_uploads', '1', 'Allow JV partners to upload the images of their gifts(type 1 for Yes, 0 for no)');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (8, 'gift_upload_dir', '[gift dir here]', 'This is the directory where all the uploaded files will be stored (enter full path, e.g.  /home/username/public_html/install-directory/uploads/. If you are not sure, please load upload_path.php on your installation directory');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (9, 'gift_upload_max_size', '2097152', 'The maximum size of the file that can be uploaded with a gift');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (10, 'gifts_per_page', '10', 'Number of gifts to display on each result page');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (11, 'www_gift_upload_dir', '[gift www dir here]', 'The website address of the directory where the uploaded files are placed,e.g http://mysite.com/dir/');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (13, 'website_owner_name', 'Simon', 'Your name (or the name of the person who owns this script)');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (14, 'lvl1_normal_credits', '20', 'Credits a level 1 referer for a normal member gets');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (15, 'lvl2_normal_credits', '10', 'Credits a level 2 referer for a normal member gets');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (16, 'lvl1_jv_credits', '50', 'Credits a level 1 referer for a JV partener gets');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (17, 'lvl2_jv_credits', '25', 'Credits a level 2 referer for a JV partener gets');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (18, 'is_firesale', '1', 'Is this going to be a firesale?(type 1 for Yes, 0 for no)');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (19, 'is_selling_products', '1', 'Is this going to sell products?(type 1 for Yes, 0 for no)');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (45, 'contest_end_date', '2005-06-26', 'date your contest ends');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (44, 'contest_start_date', '2005-06-25', 'Date the contest starts');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (43, 'jv_end_date', '2005-06-30', 'Date when your joint venture/campaign will end');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (42, 'jv_start_date', '2005-06-25', 'Date when your joint venture/campaign will start');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (24, 'owner_paypal_id', 'billing@prospectresponse.com', 'Your paypal id (where all the paypal payments would be sent to)');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (25, 'owner_stormpay_id', 'billing@prospectresponse.com', 'Your stormpay id (where all the stormpay payments would be sent to)');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (26, 'paypal_buynow_html', '<input type=image src=http://images.paypal.com/images/x-click-but01.gif>', 'The HTML code used to display a PayPal buy now button:');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (27, 'allow_split_payments', '1', 'Do you allow split payments? (0 for yes, 1 for no)');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (28, 'split_percentage', '50', 'How much percentage of the price of your product should a referer get?');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (29, 'split_whose_paid_first', '0', 'Who is paid first in a split payment? (Type 0 for the referer, 1 for yourself)');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (40, 'gift_Approved_subject', 'Dear [name], your JV Partnership has been approved.', 'Subject of the email sent when a JV partener\'s gift is approved from the Admin area:');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (41, 'gift_Approved_msg', 'Dear [name], your JV Partnership has been approved.\r\n\r\nPlease manage your account by logging is at\r\n\r\n[login_url]\r\nEmail: [email]\r\n\r\nWelcome aboard!\r\n[website-owner-name]\r\n[website]', 'Message sent in the email when a JV partener\'s gift is approved from the admin area.');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (34, 'stormpay_buynow_html', '<input type=image src=https://www.stormpay.com/stormpay/images/CheckOutSP1.gif>', 'The HTML code used to display a StormPay buy now button:');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (36, 'how_much_tease', '0', 'How often should the preliminary/teaser page be displayed to the visitors? (type 0 for never, 1 for once a day, 2 for everytime they log in, 3 for once ever). (You can edit the teaser by editing the file /html/teaser.html).');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (37, 'stormpay_secret_code', '', 'If you have set a secret code in your stormpay account, please put it here too. This will be used for authorizing payments sent through Stormpay.');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (46, 'contest_prize1', '$100', 'the prize your contest\'s winner # 1 gets');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (47, 'contest_prize2', '$75', 'The prize your contest\'s winner # 2 gets');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (48, 'contest_prize3', '$55', 'The prize your contest\'s winner #3 gets');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (49, 'contest_prize4', '$35', 'The prize your contest\'s winner #4 gets');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (50, 'contest_prize5', '$15', 'The prize your contest\'s winner #5 gets');
INSERT INTO `jvfire_config` (`config_id`, `c_name`, `c_value`, `c_display`) VALUES (51, 'is_teaser_split_allowed', '0', 'Do you want to pay the referers a commision when someone refered by them orders something at a teaser page? (type 0 for no, 1 for yes)');
INSERT INTO `jvfire_config` (`c_name`, `c_value`, `c_display`) VALUES ('give_jv_all_downloads', '0', 'Allow JV Partners to access all downloads on download page? (Type 1 for Yes, 0 for No)');
INSERT INTO `jvfire_config` ( `config_id` , `c_name` , `c_value` , `c_display` )VALUES ('', 'rank_gifts_unique', '1', 'Rank gifts by unique (IP) referrals?(Type 1 for Yes, 0 for no)');


# --------------------------------------------------------

#
# Table structure for table `jvfire_contest_points`
#

CREATE TABLE `jvfire_contest_points` (`pointsId` mediumint(20) NOT NULL auto_increment,`user_id` mediumint(20) NOT NULL default '0',`points` mediumint(20) NOT NULL default '0',PRIMARY KEY  (`pointsId`)) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `jvfire_contest_points`
#


# --------------------------------------------------------

#
# Table structure for table `jvfire_downloads`
#

CREATE TABLE `jvfire_downloads` ( `download_id` mediumint(20) NOT NULL auto_increment, `filename` varchar(55) NOT NULL default '', `fileurl` varchar(100) NOT NULL default '', `img_filename` varchar(150) NOT NULL default '', `img_fileurl` varchar(150) NOT NULL default '', `product_name` varchar(55) NOT NULL default '', `desc_text_1` text NOT NULL, `desc_text_2` text NOT NULL, `desc_text_3` text NOT NULL, PRIMARY KEY (`download_id`)) TYPE=MyISAM;

#
# Dumping data for table `jvfire_downloads`
#


# --------------------------------------------------------

#
# Table structure for table `jvfire_emails`
#

CREATE TABLE `jvfire_emails` (`email_id` mediumint(10) NOT NULL auto_increment,`title` varchar(255) NOT NULL default '',`subject` varchar(75) NOT NULL default '',`msg` text NOT NULL,`special` enum('0','1') NOT NULL default '0',PRIMARY KEY  (`email_id`)) TYPE=MyISAM AUTO_INCREMENT=8 ;

#
# Dumping data for table `jvfire_emails`
#

INSERT INTO `jvfire_emails` (`email_id`, `title`,`subject`, `msg`, `special`) VALUES (1, 'Personal Invitation For {firstname}, by [jv-Partner-Name]','{FIRSTNAME}, a Massive Giveaway Happens in 5 days', 'Hi {FIRSTNAME}\r\n\r\nThis is [JV-PARTNER-NAME].\r\n\r\nSomething very big is happening in the next\r\n5 days.\r\n\r\nAnd it\'s only going to involve a few selected \r\nmarketers. That\'s why I\'m sending you this \r\nprivate invitation as a valued subscriber.\r\n\r\nI was just speaking with [WEBSITE-OWNER-NAME] \r\n(a well-known Internet Marketer), and we both \r\nrealized something very important...\r\n\r\n\r\n...and it has to do with you\r\n\r\n\r\nYou see, most Marketers could be making a lot \r\nmore money if they only had more traffic coming \r\nto their website.\r\n\r\nand easy access to marketing tools that have \r\nmade other marketers work easier, and made them \r\na lot of money.\r\n\r\n\r\nso...\r\n\r\n\r\n[WEBSITE-OWNER-NAME] has called in some favors \r\nfrom whole bunch of top online marketers and \r\nconvinced them all to give you TONS of f.ree traffic \r\nto your website, and TONS of online tools at no \r\ncost to you. \r\n\r\n-ebooks\r\n-traffic\r\n-scripts\r\n-memberships\r\n\r\nYou mention it, it\'s there.\r\n\r\n\r\nRemember, this is coming in just 5 days. \r\n\r\n\r\nStay tuned, I\'ll let you know as soon as this is \r\nreleased. It\'s the most exciting news I\'ve had the\r\nopportunity to share with you in a long time.\r\n\r\n\r\n\r\n\r\nWarmly,\r\n\r\n[JV-PARTNER-NAME]\r\n\r\nP.S. - You may be wondering, "what\'s the catch?"well,\r\nthere ISN\'T one.\r\n\r\nThis is my way of saying thank you for being my \r\nsubscriber, and I hope that you will make lots of money \r\nselling and using those products.', '1');
INSERT INTO `jvfire_emails` (`email_id`,`title`, `subject`, `msg`, `special`) VALUES (2, 'Personal Invitation For {firstname}, by [jv-Partner-Name]','{FIRSTNAME}, something BIG Happens Tomorrow', 'Hi {FIRSTNAME}\r\n\r\nThis is [JV-PARTNER-NAME].\r\n\r\nFinally, it\'s set to lau`nch tomorrow.\r\n\r\n\r\nRemember a couple of days ago I asked you to\r\nstay tuned for a BIG announcement?\r\n\r\n\r\nFinally, the moment we\'ve all been waiting for\r\nis almost here.\r\n\r\nThe internet\'s most massive giveaway launches\r\ntomorrow. Offering tons of gifts:\r\n\r\n-tons of traffic\r\n-tons of ebooks\r\n-tons of scripts\r\n-tons of reseller rights\r\n-tons of everything you\'ve ever wanted\r\n\r\nAll valued at thousands and thousands of dollars\r\nat no cost to you whatsoever.\r\n\r\nI just can\'t hide the excitement. I\'ll shoot you\r\na quick message so you\'ll be the first to know and\r\nget all the freebies.\r\n\r\n\r\nWarmly,\r\n\r\n[JV-PARTNER-NAME]\r\n\r\nP.S. - Remember, this only runs for 10 days.\r\nAfter that, it\'s gone for ever. \r\nDon\'t miss it for anything.', '0');


INSERT INTO `jvfire_emails` (`email_id`,`title`, `subject`, `msg`, `special`) VALUES (3, 'Personal Invitation For {firstname}, by [jv-Partner-Name]','It\'s a go {FIRSTNAME}! Just Unveiled :)', 'My friend [WEBSITE-OWNER-NAME] just released the \r\ninternet\'s most massive giveaway ever:\r\n\r\n\r\n[MARKETING-HOMEPAGE-URL]\r\n\r\n\r\nSimply sign up and get the scoop.\r\n\r\n-tons of traffic\r\n-tons of ebooks\r\n-tons of scripts\r\n-tons of reseller rights\r\n-tons of everything you\'ve ever wanted\r\n\r\n\r\nWhere did all these goodies come from?\r\n\r\n\r\nI teamed up with [WEBSITE-OWNER-NAME] who has \r\ncalled in some favors from a whole bunch of top online \r\nmarketers and convinced them all to give you TONS of \r\nf.ree traffic to your website, and TONS of online tools \r\nat no cost to you.\r\n\r\n\r\nIt is our way of saying "thank you"!\r\n\r\n\r\nThese tools are worth thousands and thousands of dollars\r\nand have already made the owners thousands and thousands\r\nof dollars.\r\n\r\nI just can\'t hide the excitement. This is probably the \r\nmost exciting news I\'ve ever shared with you.\r\n\r\nGo get it now!\r\n[MARKETING-HOMEPAGE-URL]\r\n\r\n\r\nWarmly,\r\n\r\n[JV-PARTNER-NAME]\r\n\r\nP.S. - Remember, this only runs for 10 days.\r\nAfter that, it\'s gone for ever. \r\nDon\'t miss it for anything.', '0');
INSERT INTO `jvfire_emails` (`email_id`, `title`,`subject`, `msg`, `special`) VALUES (4,'Personal Invitation For {firstname}, by [jv-Partner-Name]', '{FIRSTNAME}, Have You Taken The Scoop Yet?', 'Just a quick reminder: did you get the Massive\r\nGiveaway yet?\r\n\r\nHow would you like to get more traffic without spending \r\nmoney on expensive PPC traffic or newsletter ads that \r\nhardly get any results at all?\r\n\r\nHow would you like to get tons of resouces that you\'d\r\nnormally spend thousands of dollars on?\r\n\r\nAll at no cost to you?\r\n\r\n\r\nSimply join the intenet\'s most MASSIVE GIVEAWAY\r\n[MARKETING-HOMEPAGE-URL]\r\n\r\n\r\nNothing to pay, just a way of saying "Thank You!" for\r\nbeing my subscriber.\r\n\r\n\r\nRemember, we only have a few days left.\r\n\r\n\r\nAfter that it\'s gone forever. Here you go:\r\n\r\n[MARKETING-HOMEPAGE-URL]\r\n\r\n\r\n\r\nWarmly,\r\n\r\n[JV-PARTNER-NAME]\r\n\r\nP.S. - I\'m sure you must be asking asking yourself\r\n"What\'s the catch?"\r\n\r\nThere\'s NONE. You simply enter your name and email, \r\nand you will be given instant access to TONS of\r\ngoodies at no cost whatsoever.\r\n\r\nTalk about an internet boom... :)', '0');
INSERT INTO `jvfire_emails` (`email_id`, `subject`, `msg`, `special`) VALUES (5, '{FIRSTNAME}, 2 Days Left For Massive Give-Away', 'Only two days left for the most MASSIVE GIVEAWAY\r\never\r\n\r\n\r\n\r\nYes, only 2 days.\r\n\r\n\r\nThis is just a quick reminder just in case you\'ve not\r\nhad a chance to take your scoop of MASSIVE GIVEAWAY.\r\n\r\nAfter 2 days, it will be closed forever and you\'ll \r\nhave to pay for it :(\r\n\r\nJust get it now if you haven\'t already. As my way of\r\nsaying thank you for being my subscriber, I\'d not\r\nwant you to miss it. When you succeed, I also \r\nsucceed.\r\n\r\n[MARKETING-HOMEPAGE-URL]\r\n\r\n\r\n{FIRSTNAME}, don\'t miss this for any reason. It\'s one\r\nof those once-in-a-lifetime chances that will not come\r\nback.\r\n\r\n\r\nWarmly,\r\n\r\n[JV-PARTNER-NAME]\r\n\r\nP.S. - I\'m sure you must be asking asking yourself\r\n"What\'s the catch?"\r\n\r\nThere\'s NONE. You simply enter your name and email, \r\nand you will be given instant access to TONS of\r\ngoodies at no cost whatsoever.\r\n\r\nTalk about an internet boom... :)', '0');
INSERT INTO `jvfire_emails` (`email_id`, `subject`, `msg`, `special`) VALUES (6, 'Quick Reminder {FIRSTNAME}, Tomorrow Last Day', 'Only ONE day left for the most MASSIVE GIVEAWAY\r\never. Get it here if you haven\'t yet:\r\n\r\n[MARKETING-HOMEPAGE-URL]\r\n\r\n\r\nAfter tomorrow it\'s gone for ever.\r\n\r\n\r\nI\'m out for now {FIRSTNAME}.\r\n\r\n\r\nTake care,\r\n\r\n[JV-PARTNER-NAME]', '0');
INSERT INTO `jvfire_emails` (`email_id`, `subject`, `msg`, `special`) VALUES (7, '{FIRSTNAME}, Today Last Day For Massive Give-Away', 'Unfortunately today is the last day for the biggest\r\nMassive Giveaway on the internet ever.\r\n\r\nIf you have not already taken advantage of it, do it\r\nnow. Don\'t hold it for another day.\r\n\r\nIt will not be there tomorrow:\r\n\r\n[MARKETING-HOMEPAGE-URL]\r\n\r\n\r\nJust to recap:\r\nHundreds of internet marketers have come out in one of\r\nthe biggest give-away of all time.\r\n\r\nOffering tons of gifts worth thousands of dollars at no\r\ncost to you:\r\n\r\n-tons of traffic\r\n-tons of ebooks\r\n-tons of scripts\r\n-tons of reseller rights\r\n-tons of everything you\'ve ever wanted\r\n\r\n\r\nDon\'t miss this one {FIRSTNAME}.\r\n[MARKETING-HOMEPAGE-URL]\r\n\r\nIt will be gone after today and it won\'t come back.\r\n\r\nTake care,\r\n\r\n[JV-PARTNER-NAME]\r\n\r\nPS: - It\'s always been a pleasure having you as a \r\nsubscriber. I\'ve been quite privileged to extend\r\nthis offer to you. I hope you make tons of money\r\nout of this. Thank you.', '0');

UPDATE `jvfire_emails` SET title='Personal Invitation For {firstname}, by [jv-Partner-Name]';

# --------------------------------------------------------

#
# Table structure for table `jvfire_firesales`
#

CREATE TABLE `jvfire_firesales` (`firesale_id` mediumint(20) NOT NULL auto_increment,`firesale_date` date NOT NULL default '0000-00-00',`price` decimal(10,2) NOT NULL default '0.00',PRIMARY KEY  (`firesale_id`)) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `jvfire_firesales`
#


# --------------------------------------------------------

#
# Table structure for table `jvfire_gifts`
#

CREATE TABLE `jvfire_gifts` (`gift_id` mediumint(20) NOT NULL auto_increment,`user_id` mediumint(20) NOT NULL default '0',`user_fname` varchar(50) NOT NULL default '',`filename` varchar(55) NOT NULL default '',`fileurl` varchar(100) NOT NULL default '',`product_name` varchar(55) NOT NULL default '',`url` varchar(150) NOT NULL default '',`desc_text_1` text NOT NULL,`desc_text_2` text NOT NULL,`desc_text_3` text NOT NULL, `howToGet` ENUM( 'Form', 'Redirect' ) NOT NULL DEFAULT 'Redirect', `formHtml` TEXT NOT NULL,`rank` mediumint(20) NOT NULL default '0',`forcedRank` ENUM( '0', '1' ) NOT NULL DEFAULT '0',`status` enum('Pending','Approved','Denied') NOT NULL default 'Pending',PRIMARY KEY  (`gift_id`)) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `jvfire_gifts`
#


# --------------------------------------------------------

#
# Table structure for table `jvfire_log`
#

CREATE TABLE `jvfire_log` (`logId` mediumint(20) NOT NULL auto_increment,`logText` text NOT NULL,PRIMARY KEY  (`logId`)) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `jvfire_log`
#


# --------------------------------------------------------

#
# Table structure for table `jvfire_paidusers`
#

CREATE TABLE `jvfire_paidusers` (`paiduserId` mediumint(20) NOT NULL auto_increment,`user_id` varchar(30) NOT NULL default '0',`txn_id` varchar(100) NOT NULL default '',`method` varchar(25) NOT NULL default '',`amount` decimal(10,2) NOT NULL default '0.00',`payments_made` enum('1','2') NOT NULL default '1',`paid_who` enum('owner','ref') NOT NULL default 'owner',`productId` mediumint(10) NOT NULL default '0',`refId` mediumint(20) NOT NULL default '0',PRIMARY KEY  (`paiduserId`)) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `jvfire_paidusers`
#


# --------------------------------------------------------

#
# Table structure for table `jvfire_products`
#

CREATE TABLE `jvfire_products` (`productId` mediumint(10) NOT NULL auto_increment,`productName` varchar(80) NOT NULL default '',`price` decimal(10,2) NOT NULL default '0.00',`downloadUrl` varchar(255) NOT NULL default '',`special` enum('0','1') NOT NULL default '0',`teaser` varchar(100) NOT NULL default '',PRIMARY KEY  (`productId`)) TYPE=MyISAM AUTO_INCREMENT=4 ;

#
# Dumping data for table `jvfire_products`
#

INSERT INTO `jvfire_products` (`productId`, `productName`, `price`, `downloadUrl`, `special`, `teaser`) VALUES (1, 'Test Product', '100.00', 'http://toolbar.google.com/T3/data/en/deleon/current/GoogleToolbarInstaller.exe', '1', '');
INSERT INTO `jvfire_products` (`productId`, `productName`, `price`, `downloadUrl`, `special`, `teaser`) VALUES (2, 'Test Teaser', '50.00', 'http://toolbar.google.com/T3/data/en/deleon/current/GoogleToolbarInstaller.exe', '0', 'html/teaser.html');
INSERT INTO `jvfire_products` (`productId`, `productName`, `price`, `downloadUrl`, `special`, `teaser`) VALUES (3, 'Test Teaser 2', '75.00', 'http://toolbar.google.com/T3/data/en/deleon/current/GoogleToolbarInstaller.exe', '0', 'html/teaser2.html');

# --------------------------------------------------------

#
# Table structure for table `jvfire_users`
#

CREATE TABLE `jvfire_users` (`user_id` mediumint(10) NOT NULL auto_increment,`fname` varchar(50) NOT NULL default '',`lname` varchar(50) NOT NULL default '',`email` varchar(50) NOT NULL default '',`pass` varchar(35) NOT NULL default '',`paypal_id` varchar(50) NOT NULL default '',`stormpay_id` varchar(50) NOT NULL default '',`credits` mediumint(20) unsigned NOT NULL default '0',`ref1` mediumint(10) NOT NULL default '0',`level` enum('1','2','3') NOT NULL default '1',`status` enum('0','1','2') NOT NULL default '0',`signup_ip` VARCHAR(100) NOT NULL default '',`signup_date` date NOT NULL default '0000-00-00',`last_login` datetime NOT NULL default '0000-00-00 00:00:00',`last_teased` date NOT NULL default '0000-00-00',PRIMARY KEY  (`user_id`)) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `jvfire_users`
#

INSERT INTO `jvfire_users` (`user_id`, `fname`, `lname`, `email`, `pass`, `paypal_id`, `stormpay_id`, `credits`, `ref1`, `level`, `status`, `signup_date`, `last_login`, `last_teased`) VALUES (1, 'Admin', 'Account', 'admin@jvfiresaleautomator.com', '202cb962ac59075b964b07152d234b70', '', '', 0, 0, '3', '1', '0000-00-00', '0000-00-00 00:00:00', '0000-00-00');
