<?php

CLASS db {
var $query,$root_path, $dev;



function db($root_path="") {
if ($root_path=="") {
global $root_path;
}

$this->root_path=$root_path; //this is used later on when retreiving the table prefix from config.php
include_once($root_path."config.php");

/*if $dev is set to 1 it means the script's being used for development and all mysql queries and results are displayed. if its set to 0, it means the script is in the actual production mode and no queries are displayed.*/
$this->dev=0;

}

function add_table_prefix($table,$sql){

global $root_path;
/* The table name and the field names are often similar to each other e.g config and config_name are similar, hence sometimes the table prefix is wrongly added to the field name. To solve this, in each query the prefix "#_" is added to a table's name hence "SELECT FROM config" becomes "SELECT FROM #_config". */

/*
$start=strpos($sql,$table);
$length=strlen($table);
$table=substr($table,strlen($table)-2);
//This is done to remove the "#_" part from $table

$full_table_name=$table_prefix.$table;
$new_sql=substr_replace($sql,$full_table_name,$start,$length);
*/
include($root_path."config.php");
$new_sql=str_replace("#_",$table_prefix,$sql);
return $new_sql;
}

function get_row($field,$table,$sql="") {
//This function takes a query and a field name as an argument. It makes the query and returns an array that contains
//the values of the field from each result row. If you need to retreive more than one rows, 
//simply change the value of 
// $this->$query (which in your case would be $name_of_this_class->query, and call this function supplying 
//only the value of the field, and the function would automatically take on the value of $sql from the variable
//$this->query.

if ($sql=="") {
$sql=$this->query;
}
$sql=$this->add_table_prefix($table,$sql);

if ($this->dev==1) {
echo "<b>$sql</b><p>\n";
}
$result=mysql_query($sql) or die("<b>$sql</b> returned error:<p> <p> " . mysql_error(). "<p>\n");


$trk=0;
$rows=mysql_num_rows($result);
if ($this->dev==1) {
echo "Rows Returned: <b>".$rows."</b><p>\n";
}
for ($x=0;$x<$rows;$x++) {
$data[]=mysql_result($result,$x,$field);
if ($this->dev==1) {
	echo "Result # $x: <b>$field: ".$data[$x]."</b><p>\n";
}
}

return $data;
}

function change_db($table,$sql="") {  

//Its supposed to be used for inserting new records, but can also be used to update /delete them.
if ($sql=="") {
$sql=$this->query;
}
$sql=$this->add_table_prefix($table,$sql);
if ($this->dev==1) {
echo "<b>$sql</b><p>\n";
}
mysql_query($sql) or die("<b>$sql</b> returned error:<p> <p> "  . mysql_error(). "<p>\n");
$ret=mysql_insert_id();

if ( $ret=="") {
return true;
} else {
if ($this->dev==1) {
echo "MySQL Insert Id returned: <b>".$ret."</b><p>\n";
}
return $ret;
}
}

function get_row_num($table,$sql="") {
//Used to get the number of records a query returns.
if ($sql=="") {
$sql=$this->query;
}
$sql=$this->add_table_prefix($table,$sql);
if ($this->dev==1) {
echo "<b>$sql</b><p>\n";
}
$result=mysql_query($sql) or die("<b>$sql</b> returned error:<p> <p> " .mysql_error(). "<p>\n");
$num=mysql_num_rows($result);
if ($this->dev==1) {
echo "Rows returned: $num<p>\n";
}
return $num;
}


function getRow($field,$table,$sql)
{
	//this is a customized version of get_row. If only 1 result is returned, i'll return it
	//as a single variable and not an array.
	
	$result=$this->get_row($field,$table,$sql);
	if (count($result)==1)
	{
		return $result[0];
	} else {
		return $result;
	}
}



}


?>
