<?php

$_SESSION['ip']=$_SERVER['REMOTE_ADDR'];
require_once($root_path."inc/db.inc.php");

require_once($root_path."inc/user.inc.php");

require_once($root_path."inc/ref.inc.php");

require_once($root_path."inc/config.inc.php");

class Stormpay {

//This class handles functions related to handling the IPN of Stormpay



function showForm()

{
	

	global $www_path;

	$data=Stormpay::getConfig();

	

	if (is_numeric($_GET['refid']))

	{

      	$stormpay_id=User::getInfo($_GET['refid'],'stormpay_id');

		if (config::is_set('allow_split_payments') && !empty($stormpay_id))

		{

			$share=config::get_value('split_percentage');

			$data['product_name']=$data['product_name']." Payment 1 of 2";

			if (config::get_value('split_whose_paid_first')==0 && is_numeric($_GET['refid']))//if referer is 2 be paid 1st

			{

				$data['amount']=Ref::getRefShare(Ref::getPrice());

				$data['payee_email']=$stormpay_id;

				$data['return_URL']=$www_path."pay2.php?ip=".$_SERVER['REMOTE_ADDR'];

			} else {

				$data['user1']=$_GET['refid'];

				$data['amount']=Ref::getOwnerShare(Ref::getPrice());

				$data['return_URL']=$www_path."pay2.php?ip=".$_SERVER['REMOTE_ADDR'];

			}

		}

	}

	

	$buyNowHtml=config::get_value('stormpay_buynow_html');

	$form= " <form method=post action='https://www.stormpay.com/stormpay/handle_gen.php'>\n";
	foreach ($data as $k=>$v)

	{

		$form.="<input type=hidden name='$k' value='$v'>\n";

	}

	$form.="<input type=hidden name=user3 value=".$_SERVER['REMOTE_ADDR'].">";

	$form.= $buyNowHtml;

	if (substr($buyNowHtml,-7)!="</form>")

	{

		$form.="</form>\n";

	}

	return $form;

}







function showForm2()

{

	//this function shows the form for Payment 2, if its a split payment.

	global $www_path;

	$data=Stormpay::getConfig();
error_log("REALP: SP: userid/IP:" . $data['user_id'] );
	

//	$data['item_name']=$data['item_name']." Payment 2 of 2";

	$refId=User::getPaidUserInfoRP($data['user_id'],Ref::getProductId(),'refId');
error_log("REALP: SP: refid:" . $refId );

	$stormpayId=User::getInfo($refId,'stormpay_id');



#REALP
$productId = User::getPaidUserInfoRP($data['user_id'],Ref::getProductId(),'productId');
error_log("REALP: SP: productid " . $productId );
                                                                                                                       
$pname = Ref::getProductInfo($productId, "productName");
                                                                                                                       
error_log("REALP: SP: stormpay:" . $stormpayId );
        $data['product_name']=$data['product_name']." Payment 2 of 2";


	if (! empty($stormpayId)) {

	if (config::get_value('split_whose_paid_first')!=0)//if referer is 2 be paid last:

		{



#			$data['unit_price']=Ref::getRefShare(Ref::getPrice());
                        $data['unit_price']=Ref::getRefShare(Ref::getPriceById($productId))/2;
error_log("REALP: SP: amount:" . $data['unit_price'] );


			$data['return_URL']=$www_path."pay2_2.php?ip=".$_SERVER['REMOTE_ADDR'];

			$data['payee_email']=$stormpayId;

			

		}else {

			$data['unit_price']=Ref::getOwnerShare(Ref::getPrice())/2;

		}

        }

			

	

	$buyNowHtml=config::get_value('stormpay_buynow_html');

	$form= " <form method=post action='https://www.stormpay.com/stormpay/handle_gen.php'>\n";

	

			foreach ($data as $k=>$v)

	{

		$form.= "<input type='hidden' name='$k' value='$v'>\n";

	}

		$form.="<input type=hidden name=user3 value=".$_SERVER['REMOTE_ADDR'].">";


	$form.= $buyNowHtml;

	if (substr($buyNowHtml,-7)!="</form>")

	{

		$form.= "\n</form>\n";

	}

	return $form;

}



function getConfig()

{

	global $www_path;
	global $sitename;
	$auth=new auth;

	$config['generic']=1;

	$config['test_mode']=0;
	$config['echo_ipn_data']=1;
	$config['user_id']=trim($_SESSION['user_id_']);

	if (! is_numeric($config['user_id']))

	{

		$config['user_id']=trim(getenv("REMOTE_ADDR"));

	}

	$config['require_IPN']=1;

	$config['quantity']=1;

	$config['amount']=Ref::getPrice()/2;

	$config['require_shipping']=0;

	//$config['notify_URL']='http://67.130.178.34/beta/admin/stormpay_ipn.php';

	$config['payee_email']=trim(config::get_value('owner_stormpay_id'));

	

/*	if ($auth->is_logged())

	{

		$config['return_URL']=$www_path."members/getdownloads.php";

	} else {

		$config['return_URL']=$www_path."register.php";

	}*/
	$config['return_URL']=$www_path."admin/stormpay_ipn.php?ip=".$_SERVER['REMOTE_ADDR'];

	$config['cancel_URL']=$www_path."product.php";

	$config['user2']=Ref::getProductId();

	$config['product_name']=$sitename;//trim(Ref::getProductInfo($config['user2'],'productName'));

	return $config;

}

	

function getTeaserConfig($id)

{
	if($id=="")
		$id = $_POST['item_number'];
		
	global $www_path;

	$auth=new auth;
	$config['echo_ipn_data']=1;

	$db=&new db;

	$config['generic']=1;

	$config['test_mode']=0;

	#$config['user_id']=$_SERVER['REMOTE_ADDR'];
	$config['user_id']=trim($_SESSION['user_id_']);

	if (! is_numeric($config['user_id']))

	{

		$config['user_id']=trim(getenv("REMOTE_ADDR"));

	}

	$config['require_IPN']=1;

	$config['quantity']=1;

	$sql="SELECT price FROM #_products WHERE productId='$id' LIMIT 1";

	$config['amount']=trim($db->getRow('price','products',$sql)/2);

	$config['require_shipping']=0;

	//$config['notify_URL']='http://67.130.178.34/beta/admin/stormpay_ipn.php';


	

/*	if ($auth->is_logged())

	{

		$config['return_URL']=$www_path."members/getdownloads.php";

	} else {

		$config['return_URL']=$www_path."register.php";

	}
*/
	$sql="SELECT productName FROM #_products WHERE productId='$id' LIMIT 1";

	$config['product_name']=trim($db->getRow('productName','products',$sql));

	if (config::get_value('is_teaser_split_allowed') == 1)
	{	
		if ((strstr($_POST['product_name'],'1 of 2') OR $_POST['product_name']=="") and (strstr($_POST['item_name'],'1 of 2') OR $_POST['item_name']==""))
		{
			
			$config['return_URL']=$www_path."pay2.php";
			$config['product_name'].=" Payment 1. of 2.";
	
			$config['payee_email']= trim(User::getInfo($_SESSION['user_id_'],'stormpay_id'));
		}
		else
		{
			$config['return_URL']=$www_path."admin/stormpay_ipn.php";
			$config['product_name'].=" Payment 2. of 2.";
			$config['payee_email']=trim(config::get_value('owner_stormpay_id'));
		}
	}
	else
	{
		$config['return_URL']=$www_path."admin/stormpay_ipn.php";
		$config['product_name'].=" Payment";
		$config['payee_email']=trim(config::get_value('owner_stormpay_id'));
		$sql="SELECT price FROM #_products WHERE productId='$id' LIMIT 1";
		$config['amount']=trim($db->getRow('price','products',$sql));
	}
	
	$config['cancel_URL']=$www_path."teaser.php";

	$config['user2']=$id;


	return $config;

}





function showTeaserForm($id)

{

	global $www_path;

	$data=Stormpay::getTeaserConfig($id);

	$refId=User::getInfo($data['user_id'],'ref1');

	$stormpayId=User::getInfo($refId,'stormpay_id');

	

	

	if (is_numeric($refId) && ! empty($stormpayId) && config::is_set('allow_split_payments') && config::is_set('is_teaser_split_allowed'))

	{

		$data['return_URL']=$www_path."pay2.php";

		$data['product_name']=$data['product_name']."Payment 1 of 2";

		

		if (config::get_value('split_whose_paid_first')==0)

		{

			$data['payee_email']=$stormpayId;

			$data['amount']=Ref::getRefShare($data['amount'])/2;

		} else {

			$data['user1']=$refId;

			$data['amount']=Ref::getOwnerShare($data['amount'])/2;

		}

	}

	

	$buyNowHtml=config::get_value('stormpay_buynow_html');

	$form= " <form method=post action='https://www.stormpay.com/stormpay/handle_gen.php'>\n";

	foreach ($data as $k=>$v)

	{

		$form.="<input type=hidden name='$k' value='$v'>\n";

	}

	

	$form.= $buyNowHtml;

	if (substr($buyNowHtml,-7)!="</form>")

	{

		$form.="</form>\n";

	}

	return $form;

}



}





?>
