<?php
$root_path="../";
$title="Manage My Gifts";
require_once($root_path."inc/begin_code.php");
require_once($root_path."inc/form_pro.inc.php");
require_once($root_path."inc/uploader.inc.php");
require_once($root_path."inc/ref.inc.php");
restrictAccess(2);
include_once($root_path."html/jv/header.html");

//Determine if we are updating the user's gift or if we are creating a new gift:
$db=&new db;
$sql="SELECT gift_id FROM #_gifts WHERE user_id='$_SESSION[user_id_]'";
	if ($db->get_row_num("gifts",$sql) <1)
{
	define("IS_UPDATE",0);
} else {
	define("IS_UPDATE",1);
}


if (isset($_POST['cancelled']))
{
	header("location: index.php");
}

if (! isset($_POST['submitted']))
{
	bye(0);
}

if ($_POST['url'] !="")
{
	$_POST['url']=form_pro::addHttp($_POST['url']);
}

if ($_POST['fileurl'] !="")
{
	$_POST['fileurl']=form_pro::addHttp($_POST['fileurl']);
}

checkBlank();
CheckInvalid();



save();
bye(1);





function checkBlank() 
{
	
	$vars=array("product_name",'howToGet');
	$msgs=array("Please type your product's name.","You must select A or B.");
	
	if ($_POST['howToGet']=='Form')
	{
		$vars[]='formTags';
		$msgs[]="Please type the HTML code to be displayed between your &lt;form&gt; and &lt;/form&gt; tags.";
	} elseif($_POST['howToGet']=='Redirect')
	{
		$vars[]='url';
		$msgs[]="You forgot to type the URL where the users would be redirected to get your gift.";
	}
	
	$errs=form_pro::check_blank($_POST,$vars,$msgs);

	
	if ($_FILES['giftlogo']['error']==4 && $_POST['fileurl']=="")
	{		$errs[]="You must either upload a product image or type the URL of a product image.";
	}
	
	if (is_array($errs)) 
		{
		correctInput($errs);
	}
	
	
	
	return true;
}




function checkInvalid() 
{
	
	/*if (! eregi(substr($_POST['url'],0,7),'http://'))
	{
		$errs[]="The url you provided is not a valid website address.";
	}*/

	if ($_POST['fileurl'] !="")
	{
		if (! getimagesize($_POST['fileurl']))
		{
			$errs[]="You didn't type a valid product image URL.";
		}
	}
		if (is_array($errs))
		{
			correctInput($errs);
		}
	
	return true;
}



function correctInput($errs) 
{
$heading="Uh oh..,";


echo "<h3><font color=red>$heading\n</font></h3><ul>\n";

foreach ($errs as $k=>$v) 
{
echo "<li><font color=red>$v</font></li>\n";
}

echo "</ul>\n<hr>\n";
bye(0);
}



function addHttp($string)
{
	//this function simply adds 'http://' to the beggining of a string if its not
	//already there.
	if (eregi('http://',$string)) 
	{
		return $string;
	} else {
		$string="http://".$string;
	}
	return $string;
}


function save()
{
	
	if ($_POST['fileurl'] !="")
	{
		$imageField="fileurl";  
		$fieldToUnset="filename";
		$imageAdd=$_POST['fileurl'];
	} elseif ($_FILES['giftlogo']['error']!=4) {
		$Uploader=&new Uploader;
		$imageField="filename";
		$fieldToUnset="fileurl";
		$imageAdd=basename($Uploader->upload("giftlogo",1));
		if (! $imageAdd)
		{
			$err=array($Uploader->getError());
		    correctInput($err);
		}
	
	} 
	
	$db=&new db;
	$userId=$_SESSION['user_id_'];
	$title=trim(strip_tags(mysql_escape_string($_POST['product_name'])));
	$desc1=trim(strip_tags(mysql_escape_string($_POST['desc_text_1'])));
	$desc2=trim(strip_tags(mysql_escape_string($_POST['desc_text_2'])));
	//$desc3=trim(strip_tags(mysql_escape_string($_POST['desc_text_3'])));
	$url=trim(strip_tags(mysql_escape_string($_POST['url'])));
	$howToGet=trim($_POST['howToGet']);
	if ($howToGet !='Form' && $howToGet !='Redirect')
		$howToGet=(isset($_POST['formTags'])) ? 'Form' : 'Redirect';
	$formHtml=trim(mysql_escape_string($_POST['formTags']));
	$url=trim(mysql_escape_string($_POST['url']));
	
	$rank=$db->getRow('rank','gifts',"SELECT rank FROM #_gifts WHERE user_id='$userId' LIMIT 1");
	
	$rank=(Ref::isRankForced($userId,'user')) ? $rank : Ref::getRank($userId);
	if (User::getInfo($userId,'credits') <1 && ! Ref::isRankForced($userId,'user'))
	{ //set user's rank to the highest rank in the db, so his gift ranks lowest.
		$rank=Ref::getHighestRank();
	}
	

	if (IS_UPDATE==0)	
	{
		//Make a new record:
		$sql="INSERT INTO #_gifts (user_id,user_fname,$imageField,$fieldToUnset,product_name,url,desc_text_1,desc_text_2,desc_text_3,howToGet,formHtml,rank,status) VALUES('$userId','$_SESSION[fname_]','$imageAdd','','$title','$url','$desc1','$desc2','','$howToGet','$formHtml','$rank','Pending')";
	} else {
		//Update an existing record:
		$sql="UPDATE #_gifts SET $imageField='$imageAdd',$fieldToUnset='',product_name='$title',url='$url',desc_text_1='$desc1',desc_text_2='$desc2',desc_text_3='',howToGet='$howToGet',formHtml='$formHtml',rank='$rank' WHERE user_id='$userId'";
	}
	
	$db->change_db('gifts',$sql);
	return true;
}

function showForm()
{
	global $root_path;
	if (IS_UPDATE== 0)
	{
		foreach ($_POST as $k=>$v)
		{
			$$k=$v;
		} 
		include_once($root_path."html/jv/mygifts.html");
		return true;
	}
		
	
		$db=&new db;
		$userId=$_SESSION['user_id_'];
		$sql="SELECT * FROM #_gifts WHERE user_id='$userId'";
		$fileurls=$db->get_row("fileurl","gifts",$sql);
		$product_names=$db->get_row("product_name","gifts",$sql);
		$urls=$db->get_row("url","gifts",$sql);
		$desc1s=$db->get_row("desc_text_1","gifts",$sql);
		$desc2s=$db->get_row("desc_text_2","gifts",$sql);
		$howToGets=$db->get_row("howToGet","gifts",$sql);
		$formHtmls=$db->get_row("formHtml","gifts",$sql);
		//$desc3s=$db->get_row("desc_text_3","gifts",$sql);
		
		$fileurl=trim(stripslashes($fileurls[0]));
		$product_name=trim(stripslashes($product_names[0]));
		$url=trim(stripslashes($urls[0]));
		$desc_text_1=trim(stripslashes($desc1s[0]));
		$desc_text_2=trim(stripslashes($desc2s[0]));
		$formHtml=stripslashes($formHtmls[0]);
		$howToGet=stripslashes($howToGets[0]);
		if ($formHtml=='') 
		{
			$formHtml="bla bla";
			$formHtml='
			
			<form action="http://www.your-website.com" method="post" name="SampleForm">
			<input type=text name="first_name" value="[FIRST-NAME-HERE]">
			<input type=text name="last_name" value="[LAST-NAME-HERE]">
			<input type=text name="email" value="[EMAIL-HERE]">
			<input type=submit value="Sign up!">
			</form>
			
			';
			$formHtml=trim($formHtml);
		}
			
			
		//$desc_text_3=trim(stripslashes($desc3s[0]));
		
		include_once($root_path."html/jv/mygifts.html");
		return true;
	}
		
		
		
		
		



function bye($id) 
{
	global $root_path;
	if ($id==0)
	{
		showForm();
	} else {
		include_once($root_path."html/jv/mygifts_success.html");
	}
	require_once($root_path."inc/end_code.php");
	die();
}



?>