<?php
$root_path="../";
$title="Showing downloads";
require_once($root_path."inc/begin_code.php");
restrictAccess(1);
require_once($root_path."inc/db.inc.php");
require_once($root_path."inc/config.inc.php");
require_once($root_path."inc/user.inc.php");
require_once($root_path."inc/form_pro.inc.php");
include_once($root_path."html/members/header.html");

define ('RESULTS_PER_PAGE',config::get_value("gifts_per_page"));
/*
if (getTotalPages() < 1)
{
	echo "<strong>Sorry, there are no downloads to display right now. Please check back later.</strong><br><br>\n";
	bye();
}

if ($_GET['page'] > getTotalPages())
{
echo "<strong>No more matches were found.</strong><br><br>\n";
	bye();
}
*/	
display();
bye();
function getTotalPages()
{
	$db=&new db;
	$sql="SELECT download_id FROM #_downloads";
	$rows=$db->get_row_num("downloads",$sql);
	
	if ($rows <1 || RESULTS_PER_PAGE < 1)
	{
		$totalPages=0;
		return $totalPages;
	}
	
	$x=0;
	$totalPages=0;
	while ($x < $rows) {
	$totalPages=$totalPages+1;
	$x=$x+ RESULTS_PER_PAGE;
	}
	return $totalPages;
}


function getCurrentPage()
{
	$currPage=$_GET['page'];
	if (! is_numeric($currPage))
	{
		$currPage=1;
	} elseif ($currPage > getTotalPages())
		{
			$currPage=1;
		}
	return $currPage;
}


function getLimitStart()
{
	$limitStart=0;
	$total=getTotalPages();
	$current=getCurrentPage();
	$limitStart=RESULTS_PER_PAGE * ($current-1);
	return $limitStart;
}


	
function display()
{
		global $root_path,$www_path;
		$uploadDir=form_pro::addHttp(config::get_value('www_gift_upload_dir'));
		$uploadDir=form_pro::addEndingSlash($uploadDir);
		if ($_SESSION['level_']==2)
		{
			if (config::is_set('give_jv_all_downloads'))
			{
				$showJvDownloads=1;
			} else {
				$showJvDownloads=0;
			}
		} else {
			$showJvDownloads=1;
		}
		
		$db=&new db;
		$limitStart=getLimitStart();
		$results=RESULTS_PER_PAGE;
		$sql="SELECT download_id FROM #_downloads ORDER BY download_id DESC LIMIT $limitStart,$results";
		
		$downloadIds=$db->get_row("download_id","downloads",$sql);
		
		$sql="SELECT product_name FROM #_downloads ORDER BY download_id DESC LIMIT $limitStart,$results";
		$titles=$db->get_row("product_name","downloads",$sql);
		
		$sql="SELECT fileurl FROM #_downloads ORDER BY download_id DESC LIMIT $limitStart,$results";
		$fileUrls=$db->get_row("fileurl","downloads",$sql);
		
		$sql="SELECT filename FROM #_downloads ORDER BY download_id DESC LIMIT $limitStart,$results";
		$fileNames=$db->get_row("filename","downloads",$sql);
		
		$sql="SELECT desc_text_1 FROM #_downloads ORDER BY download_id DESC LIMIT $limitStart,$results";
		$desc1=$db->get_row("desc_text_1","downloads",$sql);
		
		$sql="SELECT desc_text_2 FROM #_downloads ORDER BY download_id DESC LIMIT $limitStart,$results";
		$desc2=$db->get_row("desc_text_2","downloads",$sql);
		
		$sql="SELECT desc_text_3 FROM #_downloads ORDER BY download_id DESC LIMIT $limitStart,$results";
		$desc3=$db->get_row("desc_text_3","downloads",$sql);
		
	$sql="SELECT img_filename FROM #_downloads ORDER BY download_id DESC LIMIT $limitStart,$results";	
	$imgFileNames=$db->get_row("img_filename","downloads",$sql);
	
	$sql="SELECT img_fileurl FROM #_downloads ORDER BY download_id DESC LIMIT $limitStart,$results";	
	$imgUrls=$db->get_row("img_fileurl","downloads",$sql);
		
		
		//Trim and stripslah from all of the results
		if (count($downloadIds) > 0) {
		foreach ($downloadIds as $k=>$v)
		{
			$downloadIds[$k]=trim(stripslashes($v));
			$fileNames[$k]=trim(stripslashes($fileNames[$k]));
			$fileUrls[$k]=trim(stripslashes($fileUrls[$k]));
			$titles[$k]=trim(stripslashes($titles[$k]));
			$desc1[$k]=trim(stripslashes($desc1[$k]));
			$desc2[$k]=nl2br(trim(stripslashes($desc2[$k])));
			$desc3[$k]=nl2br(trim(stripslashes($desc3[$k])));
			
			if (! empty($fileNames[$k]))
			{
				$fileUrl[$k]=$www_path."members/download.php?id=$v";
			} elseif (! empty($fileUrls[$k]))
			{
				$fileUrl[$k]=$fileUrls[$k];
			}
			
			$images[$k]=(empty($imgFileNames[$k])) ? $imgUrls[$k] : $uploadDir.$imgFileNames[$k];
			
			if (strlen($desc1[$k]) > 750)
			{
				$desc1[$k]=substr($desc1[$k],0,750)."...<a href=members/downloadDetails.php?downloadId=".$downloadIds[$k]." TARGET=_NEW>More>>></a>";
			}
			
			if (strlen($desc2[$k]) > 750)
			{
				$desc2[$k]=substr($desc2[$k],0,750)."...<a href=members/downloadDetails.php?downloadId=".$downloadIds[$k]." TARGET=_NEW>More>>></a>";
			}
			
			
			
			if (strlen($desc3[$k]) > 750)
			{
				
				$desc3[$k]=substr($desc3[$k],0,750)."...<a href=members/downloadDetails.php?downloadId=".$downloadIds[$k]." TARGET=_NEW>More>>></a>";
			}
			
			
			
		}
	}
		
		//Get the user's downloads which he paid for:
		
		$sql="SELECT productId FROM #_paidusers WHERE user_id='$_SESSION[user_id_]' AND payments_made='2'";
		$productIds=$db->get_row('productId','paidusers',$sql);
		$sql="SELECT txn_id FROM #_paidusers WHERE user_id='$_SESSION[user_id_]' AND payments_made='2'";
		$txnIds=$db->get_row('txn_id','paidusers',$sql);
		if (count($productIds) > 0)
		{
			foreach ($productIds as $k=>$v)
			{
				$sql="SELECT downloadUrl FROM #_products WHERE productId='$v' LIMIT 1";
				$downloadUrls[]=$db->getRow('downloadUrl','products',$sql);
				
				$sql="SELECT productName FROM #_products WHERE productId='$v' LIMIT 1";
				$productNames[]=$db->getRow('productName','products',$sql);
			}
		}
		
		
		
		
		$total=getTotalPages();
		$current=getCurrentPage();
		include_once($root_path."html/members/getdownloads.html");
		return true;
	}
				
			
	


function bye() 
{
global $root_path;

	require_once($root_path."inc/end_code.php");
//bye();
}


?>
