<?php
$root_path="../";
$title="Downloads";
require_once($root_path."inc/begin_code.php");
restrictAccess(3);
require_once($root_path."inc/db.inc.php");
require_once($root_path."inc/config.inc.php");
require_once($root_path."inc/user.inc.php");
require_once($root_path."inc/ref.inc.php");
require_once($root_path."inc/form_pro.inc.php");
require_once($root_path."inc/uploader.inc.php");
include_once($root_path."html/admin/header.html");



switch ($_GET['cmd'])
{
	case "add" :
	showAddForm();
	bye();
	break;
	
	case "edit" :
	showEditForm();
	bye();
	break;
	
	case "del" :
	del();
	break;
}


if (! isset($_GET['cmd']))
{
	
	if (isset($_POST['add']))
	{
		
		doAdd(0);
	} elseif (isset($_POST['edit']) && is_numeric($_POST['id']))
	{
		
		doEdit();
	}
}

	
	showDownloads();
	bye();



function showAddForm()
{
	global $root_path;
	include_once($root_path."html/admin/downloads_add.html");
	return true;
}

function showEditForm()
{
	
	global $root_path;
	$db=&new db;
	$id=$_GET['id'];
	if (! is_numeric($id))
	{
		return false;
	}
	$sql="SELECT product_name FROM #_downloads WHERE download_id='$id'";
	$title=stripslashes($db->getRow('product_name','downloads',$sql));
	
	$sql="SELECT fileurl FROM #_downloads WHERE download_id='$id'";
	$fileUrl=$db->getRow('fileurl','downloads',$sql);
	
	$sql="SELECT img_fileurl FROM #_downloads WHERE download_id='$id'";
	$imgUrl=$db->getRow('img_fileurl','downloads',$sql);
	
	$sql="SELECT desc_text_1 FROM #_downloads WHERE download_id='$id'";
	$desc1=stripslashes($db->getRow('desc_text_1','downloads',$sql));
	
	$sql="SELECT desc_text_2 FROM #_downloads WHERE download_id='$id'";
	$desc2=stripslashes($db->getRow('desc_text_2','downloads',$sql));
	
	$sql="SELECT desc_text_3 FROM #_downloads WHERE download_id='$id'";
	$desc3=stripslashes($db->getRow('desc_text_3','downloads',$sql));
	
	include_once($root_path."html/admin/downloads_edit.html");
	return true;
}


function del()
{
	$db=&new db;
	$id=$_GET['id'];
	if (! is_numeric($id))
	{
		return false;
	}
	
	$sql="DELETE FROM #_downloads WHERE download_id='$id'";
	$db->change_db('downloads',$sql);
	return true;
}


function doAdd($id)
{
	$db=&new db;
	if ($_POST['fileurl'] !="")
	{
		$fileField="fileurl";  
		$fieldToUnset="filename";
		$file=form_pro::addHttp($_POST['fileurl']);
		
	} elseif ($_FILES['file']['error']!=4) {
		$Uploader=&new Uploader;
		$fileField="filename";
		$fieldToUnset="fileurl";
		$file=basename($Uploader->upload("file",0));
		if (! $file)
		{
			$err=array($Uploader->getError());
		    if ($edit==0)
		    {
			    showAddForm();
		    } else {
			    $_GET['id']=$id;
			    showEditForm();
		    }
	    }
    }
    
    
    if ($_POST['imgUrl']!='')
    {
	    $imgField='img_fileurl';
	    $imgVal=form_pro::addHttp($_POST['imgUrl']);
	    $imgVal=mysql_escape_string($imgVal);
	    } elseif ($_FILES['imgFile']['error']!=4) {
		
	    unset($Uploader);
	    $Uploader=&new Uploader;
	    $imgField='img_filename';
	    $imgVal=basename($Uploader->upload("imgFile",0));
	    $imgVal=mysql_escape_string($imgVal);
    } else {
	    $imgField='img_fileurl';
	    $imgVal='';
    }
	    
	$title=mysql_escape_string($_POST['title']);
	$desc1=mysql_escape_string($_POST['desc1']);
	$desc2=mysql_escape_string($_POST['desc2']);
	$desc3=mysql_escape_string($_POST['desc3']);
	
	if ($fileField=='') $fileField='fileurl';
	if ($fieldToUnset=='') $fieldToUnset='fileurl';
	if ($id==0)
	{
		$sql="INSERT INTO #_downloads(product_name,desc_text_1,desc_text_2,desc_text_3,$fileField,$fieldToUnset,$imgField) VALUES('$title','$desc1','$desc2','$desc3','$file','','$imgVal')";
	} else {
		$sql="UPDATE #_downloads SET product_name='$title',desc_text_1='$desc1',desc_text_2='$desc2',desc_text_3='$desc3',$fileField='$file',$fieldToUnset='',$imgField='$imgVal' WHERE download_id='$id' LIMIT 1";
	}
	$db->change_db('downloads',$sql);
	return true;
}

function doEdit()
{
	$id=$_POST['id'];
	doAdd($id);
	return true;
}


function showDownloads()
{
	$db=&new db;
	global $root_path;
	$uploadDir=form_pro::addHttp(config::get_value('www_gift_upload_dir'));
	$uploadDir=form_pro::addEndingSlash($uploadDir);
	
	$ids=$db->get_row("download_id","downloads","SELECT download_id FROM #_downloads ORDER BY download_id ASC ");
	
	
	$titles=$db->get_row("product_name","downloads","SELECT product_name FROM #_downloads ORDER BY download_id ASC");
	
	$desc1=$db->get_row("desc_text_1","downloads","SELECT desc_text_1 FROM #_downloads ORDER BY download_id ASC");
	$desc2=$db->get_row("desc_text_2","downloads","SELECT desc_text_2 FROM #_downloads ORDER BY download_id ASC");
	$desc3=$db->get_row("desc_text_3","downloads","SELECT desc_text_3 FROM #_downloads ORDER BY download_id ASC");
	
	$filenames=$db->get_row("filename","downloads","SELECT filename FROM #_downloads ORDER BY download_id ASC");
	$fileurls=$db->get_row("fileurl","downloads","SELECT fileurl FROM #_downloads ORDER BY download_id ASC");
	
	$imgFileNames=$db->get_row("img_filename","downloads","SELECT img_filename FROM #_downloads ORDER BY download_id ASC");
		
	$imgUrls=$db->get_row("img_fileurl","downloads","SELECT img_fileurl FROM #_downloads ORDER BY download_id ASC");
	if (count($ids) > 0)
	{
		foreach ($ids as $k=>$v)
		{
			$titles[$k]=stripslashes($titles[$k]);
			$desc1[$k]=stripslashes($desc1[$k]);
			$desc2[$k]=stripslashes($desc2[$k]);
			$desc3[$k]=stripslashes($desc3[$k]);
			
			if (strlen($titles[$k]) > 50)
			{
				$titles[$k]=substr($titles[$k],0,45)."....";
			}
			
			if (strlen($desc1[$k]) > 50)
			{
				$desc1[$k]=substr($desc1[$k],0,45)."....";
			}
			
			if (strlen($desc2[$k]) > 50)
			{
				$desc2[$k]=substr($desc2[$k],0,45)."....";
			}
			
			if (strlen($desc3[$k]) > 50)
			{
				$desc3[$k]=substr($desc3[$k],0,45)."....";
			}
		
			$imageUrls[$k]=(empty($imgFileNames[$k])) ? $imgUrls[$k] : $uploadDir.$imgFileNames[$k];
			
			
		}
	}
	
	include_once($root_path."html/admin/downloads.html");
	return true;
}

	
function correctInput($errs) 
{
$heading="Uh oh..,";


echo "<h3><font color=red>$heading\n</font></h3><ul>\n";

foreach ($errs as $k=>$v) 
{
echo "<li><font color=red>$v</font></li>\n";
}

echo "</ul>\n<hr>\n";
}

function bye()
{
	global $root_path;
	require_once($root_path."inc/end_code.php");
	die;
}


?>
		
		
		
		
	