<?php


$root_path="../";

$title="Firesales";

require_once($root_path."inc/begin_code.php");

restrictAccess(3);

require_once($root_path."inc/db.inc.php");

require_once($root_path."inc/config.inc.php");

require_once($root_path."inc/user.inc.php");

require_once($root_path."inc/ref.inc.php");

require_once($root_path."inc/form_pro.inc.php");

include_once($root_path."html/admin/header.html");







switch ($_GET['cmd'])

{

	case "add" :

	showAddForm();

	bye();

	break;

	

	case "edit" :

	showEditForm();

	bye();

	break;

	

	case "del" :

	del();

	break;

}





if (! isset($_GET['cmd']))

{

	

	if (isset($_POST['add']))

	{

		

		doAdd(0);

	} elseif (isset($_POST['edit']) && is_numeric($_POST['id']))

	{

		

		doEdit();

	} elseif (isset($_POST['configSubmit'])) {

		doConfigUpdate();

	}

}



	

	showFiresales();

	bye();







function showAddForm()

{

	global $root_path;

	$year=date('Y');

	$month=date('m');

	$day=date('d');

	include_once($root_path."html/admin/firesale_add.html");

	return true;

}





function showEditForm()

{

	

	global $root_path;

	$db=&new db;

	$id=$_GET['id'];

	if (! is_numeric($id))

	{

		return false;

	}

	$sql="SELECT firesale_date FROM #_firesales WHERE firesale_id='$id'";

	$date=stripslashes($db->getRow('firesale_date','firesales',$sql));

	

	$sql="SELECT price FROM #_firesales WHERE firesale_id='$id'";

	$price=stripslashes($db->getRow('price','firesales',$sql));

	

	$year=parseDate($date,'Y');

	$month=parseDate($date,'M');

	$day=parseDate($date,'D');

	

	include_once($root_path."html/admin/firesale_edit.html");

	return true;

}







function del()

{

	$db=&new db;

	$id=$_GET['id'];

	if (! is_numeric($id))

	{

		return false;

	}

	

	$sql="DELETE FROM #_firesales WHERE firesale_id='$id'";

	$db->change_db('firesales',$sql);

	return true;

}





function doAdd($id)

{

	$db=&new db;

	$firesale_date=$_POST['year']."-".$_POST['month']."-".$_POST['day'];

	$price=$_POST['price'];

	

	if ($id==0)

	{

		$sql="INSERT INTO #_firesales (firesale_date,price) VALUES('$firesale_date','$price')";

	} else {

		$sql="UPDATE #_firesales SET firesale_date='$firesale_date',price='$price' WHERE firesale_id='$id'";

	}

	$db->change_db('firesales',$sql);

	return true;

}



function doEdit()

{

	$id=$_POST['id'];

	doAdd($id);

	return true;

}





function showFiresales()

{

	$db=&new db;

	global $root_path;

	

	$ids=$db->get_row("firesale_id","firesaless","SELECT firesale_id FROM #_firesales order by firesale_date");

	$dates=$db->get_row("firesale_date","firesales","SELECT firesale_date FROM #_firesales  order by firesale_date");

	$prices=$db->get_row("price","firesales","SELECT price FROM #_firesales  order by firesale_date");

	

	$config['is_selling_products']=config::get_value('is_selling_products');

	$config['is_firesale']=config::get_value('is_firesale');

	

	$startDate=config::get_value('jv_start_date');

	$startYear=parseDate($startDate,'Y');

	$startMonth=parseDate($startDate,'M');

	$startDay=parseDate($startDate,'D');



	$endDate=config::get_value('jv_end_date');

	$endYear=parseDate($endDate,'Y');

	$endMonth=parseDate($endDate,'M');

	$endDay=parseDate($endDate,'D');

	include_once($root_path."html/admin/firesale.html");

	return true;

}



	

function correctInput($errs) 

{

$heading="Uh oh..,";





echo "<h3><font color=red>$heading\n</font></h3><ul>\n";



foreach ($errs as $k=>$v) 

{

echo "<li><font color=red>$v</font></li>\n";

}



echo "</ul>\n<hr>\n";

}



function parseDate($date,$partName)

{

	$arr=explode("-",$date);

	$ret['Y']=$arr[0];

	$ret['M']=$arr[1];

	$ret['D']=$arr[2];

	return $ret[$partName];

}



function doConfigUpdate()

{

	$db=&new db;

	$config['is_firesale']=$_POST['is_firesale'];

	$config['is_selling_products']=$_POST['is_selling_products'];

	$config['jv_start_date']=$_POST['startYear'].'-'.$_POST['startMonth'].'-'.$_POST['startDay'];

	$config['jv_end_date']=$_POST['endYear'].'-'.$_POST['endMonth'].'-'.$_POST['endDay'];

	foreach ($config as $k=>$v)

	{

		$v=mysql_escape_string($v);

		$k=mysql_escape_string($k);

		$sql="UPDATE #_config SET c_value='$v' WHERE c_name='$k' LIMIT 1";

		$db->change_db('config',$sql);

	}

	return true;

}





function bye()

{

	global $root_path;

	require_once($root_path."inc/end_code.php");

	die;

}





?>

		

		

		

		

	
