<?php
$root_path="../";
$title="Search Members";
require_once($root_path."inc/begin_code.php");
restrictAccess(3);
require_once($root_path."inc/db.inc.php");
require_once($root_path."inc/config.inc.php");
require_once($root_path."inc/user.inc.php");
require_once($root_path."inc/ref.inc.php");
include_once($root_path."html/admin/header.html");

define ('RESULTS_PER_PAGE',config::get_value("gifts_per_page"));
if (isset($_POST['cancelled']))
{
	header('location: index.php');
}

include_once($root_path."html/admin/search.html");
if (! isset($_POST['submitted']) && ! isset($_GET['page']))
{
	bye();
}

if (getTotalPages() < 1 && isset($_POST['submitted']))
{
	echo "<strong>No results were found. Please try a different search.</strong><br><br>\n";
	bye();
}

if (getTotalPages() < 1)
{
	echo "<strong>Sorry, there are no members to display right now. Please check back later.</strong><br><br>\n";
	bye();
}

if ($_GET['page'] > getTotalPages())
{
echo "<strong>No more matches were found.</strong><br><br>\n";
	bye();
}	
display();
function getTotalPages()
{
	$db=&new db;
	$sql="SELECT user_id FROM #_users WHERE 1=1";
	$sql=getQuery($sql);
	$rows=$db->get_row_num("users",$sql);
	
	if ($rows <1 || RESULTS_PER_PAGE < 1)
	{
		$totalPages=0;
		return $totalPages;
	}
	
	$x=0;
	$totalPages=0;
	while ($x < $rows) {
	$totalPages=$totalPages+1;
	$x=$x+ RESULTS_PER_PAGE;
	}
	return $totalPages;
}


function getQuery($sql)
{
	//This function only returns the WHERE part of the query
	if ($_POST['str_data'] !="" || $_GET['str_data'] !="")
	{
		if ($_POST['str_data'] !="")
		{
			$sql.=" AND $_POST[str_field]='$_POST[str_data]'";
		} elseif ($_GET['str_data'] !="")
		{
			$sql.=" AND $_GET[str_field]='$_GET[str_data]'";
		}

	}
	
	if (is_numeric($_POST['level']) || is_numeric($_GET['level']))
	{
		if (is_numeric($_POST['level']))
		{
			$sql.=" $_POST[andor_1] level='$_POST[level]'";
		} elseif (is_numeric($_GET['level']))
		{
			$sql.=" $_GET[andor_1] level='$_GET[level]'";
		}
	}
	
	if (is_numeric($_POST['status']) || is_numeric($_GET['level']))
	{
			if (is_numeric($_POST['status']))
		{
			$sql.=" $_POST[andor_2] status='$_POST[status]'";
		}  elseif (is_numeric($_GET['status']))
		{
			$sql.=" $_GET[andor_2] status='$_GET[status]'";
		}
			
	}
	
	
	return $sql;
}

function getCurrentPage()
{
	$currPage=$_GET['page'];
	if (! is_numeric($currPage))
	{
		$currPage=1;
	} elseif ($currPage < getTotalPages())
		{
			$currPage=1;
		}
	return $currPage;
}


function getLimitStart()
{
	$limitStart=0;
	$total=getTotalPages();
	$current=getCurrentPage();
	$limitStart=RESULTS_PER_PAGE * ($current-1);
	return $limitStart;
}


	
function display()
{
		global $root_path;
		$db=&new db;
		$limitStart=getLimitStart();
		$results=RESULTS_PER_PAGE;
		
		$sql=getQuery("SELECT user_id FROM #_users WHERE 1=1"). " ORDER BY user_id DESC LIMIT $limitStart,$results";
		$userIds=$db->get_row('user_id','users',$sql);
		
		$status[0]='Awaiting Activation';
		$status[1]='Activated';
		$status[2]='Banned';
		foreach ($userIds as $k=>$v)
		{
			$fnames[$k]=trim(stripslashes(User::getInfo($v,'fname')));
			$lnames[$k]=trim(stripslashes(User::getInfo($v,'lname')));
			$emails[$k]=trim(stripslashes(User::getInfo($v,'email')));
			$paypal_ids[$k]=trim(stripslashes(User::getInfo($v,'paypal_id')));
			$stormpay_ids[$k]=trim(stripslashes(User::getInfo($v,'stormpay_id')));
			$credits[$k]=User::getInfo($v,'credits');
			$ip[$k]=User::getInfo($v,'signup_ip');
			$statusNums[$k]=User::getInfo($v,'status');
			$lvl1_refs[$k]=Ref::getRefererNum($v,1);
			$lvl2_refs[$k]=Ref::getRefererNum($v,2);
			}
		
		
		$total=getTotalPages();
		$current=getCurrentPage();
		include_once($root_path."html/admin/search_results.html");
		return true;
	}
				
			
	



function bye() 
{
global $root_path;

	require_once($root_path."inc/end_code.php");
die;
}


?>